Skip to main content
GET
/
v1beta1
/
cks
/
clusters
/
{id}
Get cluster
curl --request GET \
  --url https://api.coreweave.com/v1beta1/cks/clusters/{id} \
  --header 'Authorization: Bearer <token>'
{
  "cluster": {
    "name": "<string>",
    "zone": "<string>",
    "vpcId": "<string>",
    "version": "<string>",
    "network": {
      "podCidrName": "<string>",
      "serviceCidrName": "<string>",
      "internalLbCidrNames": [
        "<string>"
      ],
      "serviceNodePortRange": {
        "start": 123,
        "end": 123
      }
    },
    "id": "<string>",
    "public": true,
    "oidc": {
      "issuerUrl": "<string>",
      "clientId": "<string>",
      "usernameClaim": "<string>",
      "usernamePrefix": "<string>",
      "groupsClaim": "<string>",
      "groupsPrefix": "<string>",
      "ca": "<string>",
      "requiredClaim": "<string>",
      "adminGroupBinding": "<string>",
      "signingAlgorithms": [
        "<string>"
      ]
    },
    "authzWebhook": {
      "server": "<string>",
      "ca": "<string>"
    },
    "authnWebhook": {
      "server": "<string>",
      "ca": "<string>"
    },
    "auditPolicy": "<string>",
    "apiServerEndpoint": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "isUpgradeable": true,
    "disableOidcInfoPublication": true,
    "kubelet": {},
    "additionalServerSans": [
      "<string>"
    ],
    "tailscale": {
      "clientId": "<string>",
      "tailnetDomain": "<string>"
    },
    "status": "<string>"
  }
}
Substitute {id} with the cluster ID returned from List clusters or Create cluster.
Example request
curl -X GET https://api.coreweave.com/v1beta1/cks/clusters/{id} \
       -H "Content-Type: application/json" \
       -H "Authorization: Bearer {API_ACCESS_TOKEN}"

Authorizations

Authorization
string
header
default:Bearer {API_ACCESS_TOKEN}
required

CoreWeave API access token sent as a bearer token.

Path Parameters

id
string
required

The ID of the cluster to get.

Response

OK

cluster
object

The cluster.

Last modified on June 15, 2026